Pamdice-Benutzerhandbuch(1)

BEZEICHNUNG
pamdice - Zerschneidet ein Netpbm-Bild horizontal und/oder vertikal

BEISPIEL

     $ pamdice meinBild.ppm -outstem=meinBild_Teil -width=10 -height=8
     $ pamundice meinBild_Teil_%1d_%1a.ppm -across=10 -down=8 >meinBild.ppm

    $ pamdice meinBild.ppm -outstem=meinBild_Teil -height=12 -voverlap=9

ÜBERSICHT

pamdice

-outstem=Dateinamenstamm

[-width=Breite]

[-height=Höhe]

[-hoverlap=hÜberlappung]

[-voverlap=vÜberlappung]

[-verbose]

[Dateiname]

Sie können Optionen auf ihren kürzesten eindeutigen Präfix abkürzen. Sie können zur Kennzeichnung von Optionen auch zwei anstatt nur eines Bindestrichs verwenden. Sie können den Namen der Option und ihren Wert durch Leerzeichen anstatt eines Gleichheitszeichens trennen.

BESCHREIBUNG

Dieses Programm ist Teil von netpbm(1).

pamdice liest ein PAM-, PBM-, PGM- oder PPM-Bild als Eingabe und teilt es horizontal oder vertikal in gleichgroße Stücke auf. Es schreibt die Stücke in verschiedene Dateien vom Typ des Eingabebildes. Optional können Sie die Stücke überlappen lassen.

Bei der Option -outstem finden Sie Informationen zur Benennung der Ausgabedateien.

Die Optionen -width und -height bestimmen die Größe der erzeugten Teilstücke.

pamundice(1) kann Bilder wieder zusammensetzen. Für feinere Einstellmöglichkeiten können Sie auch pamcat(1) verwenden.

Eine Anwendung besteht darin, kleinere Stücke zu erzeugen, die zur Verarbeitung weniger Computer-Ressourcen benötigen, als das gesamte Bild. Sie könnten beispielsweise ein Bild haben, das so groß ist, dass eine Bildverarbeitung es nicht komplett in den Speicher einlesen kann, oder dass die Verarbeitung sehr langsam abläuft. Mittels pamdice können Sie es in kleine Stücke aufteilen, diese einzeln verarbeiten, und die Ergebnisse wieder zusammensetzen.

Eine weitere Anwendung ist der Ausdruck eines großen Bildes in druckergerechten Teilen, die Sie zusammenkleben können. ppmglobe(1) leistet etwas ähnliches; es erlaubt Ihnen, die Einzelteile räumlich zu einer Sphäre zusammenzukleben.

Verwenden Sie pamcut(1), wenn Sie Teile nicht aus einem regelmäßigen Raster, sondern als einzelne Stücke ausschneiden wollen.

OPTIONEN

Zusätzlich zu den Optionen, die alle auf libnetpbm-basierenden Programme gemeinsam haben (insbesondere -quiet, siehe gemeinsame Optionen (index.html#commonoptions) ), akzeptiert pamdice die folgenden Befehlszeilenoptionen:

-outstem=Dateinamenstamm
    Diese Option legt die Namen der Ausgabedateien fest. Jede Ausgabedatei hat den Namen Dateinamenstamm_y_x.Typ. Dabei ist Dateinamenstamm der Wert der Option -outstem. x ist die horizontale Koordinate und y die vertikale Koordinate. Der Nullpunkt der Koordinaten liegt links oben. Typ ist abhängig vom Bild .pbm, .pgm, .ppm oder .pam.

-width=Breite
    Die Breite des Ausgabebildes in Pixel. Wenn die Breite des Eingabebildes kein ganzzahliges Vielfaches von Breite ist, sind die ganz rechten Teile entsprechend schmaler.

-height=Höhe
    Die Höhe des Ausgabebildes in Pixel. Wenn die Höhe des Eingabebildes kein ganzzahliges Vielfaches von Höhe ist, sind die untersten Teile entsprechend schmaler.

-hoverlap=hÜberlappung
    Die horizontale Überlappung zwischen den Ausgabebildern in Pixel. Jedes Bild in einer Reihe überlappt das vorherige Bild mit hÜberlappung Pixel. In der Voreinstellung gibt es keine Überlappung.

    Diese Option ist in Netpbm 10.23 (Juli 2004) hinzugekommen.

-voverlap=vÜberlappung
    Die vertikale Überlappung zwischen den Ausgabebildern in Pixel. Jedes Bild in einer Reihe überlappt das vorherige Bild mit vÜberlappung Pixel. In der Voreinstellung gibt es keine Überlappung.

    Diese Option ist in Netpbm 10.23 (Juli 2004) hinzugekommen.

-verbose
    Gibt Ausgaben über die Verarbeitung auf der Standardfehlerausgabe aus.

GESCHICHTE

pamdice ist in Netpbm 9.25 (März 2002) hinzugekommen.

Vor Netpbm 10.29 (August 2005) gab es eine Begrenzung auf 100 Teilstücke in jede Richtung.

SIEHE AUCH
pamundice(1), pamcut(1), pamcat(1), pgmslice(1), ppmglobe(1), pnm(1), pam(1)

URSPRUNG DES DOKUMENTS
Diese Handbuchseite wurde vom Netpbm-Werkzeug »makeman« aus der HTML-Quelle erstellt. Das Hauptdokument befindet sich unter

    http://netpbm.sourceforge.net/doc/pamdice.html

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).